.modal-overlay {
    visibility: hidden;
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    background: rgba(0, 0, 0, .7);
    z-index: 99;
    
    &:target {
        visibility: visible;
        body & {
            height: 100vh;
            overflow-y: hidden;
            padding-right: 15px; /* Avoid width reflow */
            position: fixed;
        }
    }

    .modal {
        position: relative;
        width: 800px;
        max-width: 80%;
        max-height: 80%;
        overflow: auto;
        background: white;
        border-radius: 8px;
        padding: 1em 2em;

        .close {
            position: absolute;
            top: 15px;
            right: 15px;
            color: grey;
            text-decoration: none;
        }

        .content {
            h1 {
                @apply text-richsred;
                font-size: 2.5rem;
                margin-bottom: .4em;
            }
            a {
                @apply text-richsred;
            }
        }
    }

    .cancel {
        position: absolute;
        width: 100%;
        height: 100%;
    }
}